﻿//
//  ICDocument.as
//  InfiniteCanvas (Flash Viewer)
//
//  Created by Markus Mueller <markus@mindnode.com>.
//  http://www.infinitecanvas.com/
//  Copyright (c) 2003-2005 Markus Mueller. All rights reserved.
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//  
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//  
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//  

class ICDocument {
	// holds an infinite canvas document
	
	//var _canvasColor:Color = null;
	private var _canvasObjects:Array = null;
	private var _navigationObjects:Array = null;
	private var _mouseNavigationMode:Number = 0;
	private var _firstFrame:Number = 0;
	private var _navigationMode:Number = 0;
	private var _hotSpotHint:Boolean = true;
	private var _scaleCanvas:Boolean = true;
	
	function ICDocument() {
		_canvasObjects = new Array();
        _navigationObjects = new Array();
	}
	
	public function addCanvasObject(o:ICMovieClip) {
		_canvasObjects.push(o);
	}
	
	public function getCanvasObjects(){
		return _canvasObjects;
	}
	
	public function addNavigationObject(o) {
		_navigationObjects.push(o);
	}
	
	public function getNavigationObjects(){
		return _navigationObjects;
	}
	
	public function getMouseNavigationMode() {
		return _mouseNavigationMode;
	}
	
	public function setFirstFrame(id:Number) {
		_firstFrame = id;
	}
	
	public function getFirstFrame():ICFrame {
		return getFrameWithID(_firstFrame);
	}
	
	public function getFrameWithID(frameID:Number):ICFrame {
		for (var i = 0; i < _navigationObjects.length; i++) {
			if (_navigationObjects[i].getID() == frameID) {
				return _navigationObjects[i];
			}
		}
		return null;
	}
	
	public function setNavigationMode(id:Number) {
		_navigationMode = id;
	}
	
	public function getNavigationMode():Number {
		return _navigationMode;
	}
	
	public function setHotSpotHint(id:Boolean) {
		_hotSpotHint = id;
	}
	
	public function getHotSpotHint():Boolean {
		return _hotSpotHint;
	}
	
	public function setScaleCanvas(id:Boolean) {
		_scaleCanvas = id;
	}
	
	public function getScaleCanvas():Boolean {
		return _scaleCanvas;
	}	
}